/*
 * PROJECT: Indiana University Stiquito Colony Simulator and Control Software
 *
 * (c) Copyright 1996 David Braun, Indiana University.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that: (1) source distributions retain this entire copyright
 * notice and comment, and (2) distributions including binaries display
 * the following acknowledgement:  ``This product includes software
 * developed by Indiana University '' in the documentation or other
 * materials provided with the distribution and in all advertising
 * materials mentioning features or use of this software. The
 * name of the University may not be used to endorse or promote products
 * derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * MODULE:
 *	Graphic display of colony/simulation virtual space
 *
 * FILE:
 *	xfont.c
 *
 * ABSTRACT:
 *	Set up a font for drawing on display
 *
 * $Revision: 1.3 $
 * $Date: 1996/01/17 19:13:31 $
 * $Author: jla $
 *
 * HISTORY:
 *
 * $Log: xfont.c,v $
 * Revision 1.3  1996/01/17  19:13:31  jla
 * Updated Cogyright verbage for release.
 *
 * Revision 1.2  1996/01/15  16:08:28  jla
 * Enrolling in version control.
 *
 *
 */

/* copied and munged from Mesa/book/xfont.c */


#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glx.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "glaux.h"

GLuint base;

/*--------------------------------------------------------------------------*\
 *
 * FUNCTION: void makeRasterFont(void)
 *
 * DESCRIPTION: 
 *
\*--------------------------------------------------------------------------*/


void makeRasterFont(void)
{
    XFontStruct *fontInfo;
    Font id;
    unsigned int first, last;
    Display *xdisplay;

    xdisplay = auxXDisplay ();
    fontInfo = XLoadQueryFont(xdisplay, 
	"-adobe-helvetica-medium-r-normal--17-120-100-100-p-88-iso8859-1");
    if (fontInfo == NULL) {
        printf ("no font found\n");
	exit (0);
    }

    id = fontInfo->fid;
    first = fontInfo->min_char_or_byte2;
    last = fontInfo->max_char_or_byte2;

    base = glGenLists((GLuint) last+1);
    if (base == 0) {
        printf ("out of display lists\n");
	exit (0);
    }
    glXUseXFont(id, first, last-first+1, base+first);
/*    *height = fontInfo->ascent + fontInfo->descent;
    *width = fontInfo->max_bounds.width;  */
}

/*--------------------------------------------------------------------------*\
 *
 * FUNCTION: void printString(char *s)
 *
 * DESCRIPTION: 
 *
\*--------------------------------------------------------------------------*/


void printString(char *s)
{
    glPushAttrib (GL_LIST_BIT);
    glListBase(base);
    glCallLists(strlen(s), GL_UNSIGNED_BYTE, (GLubyte *)s);
    glPopAttrib ();
}

