/*
 * PROJECT: Indiana University Stiquito Colony Simulator and Control Software
 *
 * (c) Copyright 1996 Jason L. Almeter, Indiana University.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that: (1) source distributions retain this entire copyright
 * notice and comment, and (2) distributions including binaries display
 * the following acknowledgement:  ``This product includes software
 * developed by Indiana University '' in the documentation or other
 * materials provided with the distribution and in all advertising
 * materials mentioning features or use of this software. The
 * name of the University may not be used to endorse or promote products
 * derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * MODULE:
 *	Position sensor system for colony.
 *
 * FILE:
 *	gps.h
 *
 * ABSTRACT:
 *	declare message types for dealing with the gps system
 *
 * $Revision: 1.3 $
 * $Date: 1996/01/17 18:58:20 $
 * $Author: jla $
 *
 * HISTORY:
 *
 * $Log: gps.h,v $
 * Revision 1.3  1996/01/17  18:58:20  jla
 * Updated Copyright verbage in preparation for release.
 *
 * Revision 1.2  1996/01/15  13:36:56  jla
 * Enrolling in version control.
 * Added a preliminary set of comments.
 *
 *
 */


#ifndef _GPS_
#define _GPS_

#include "../Utils/coords.h"

#define CoordBroadcastFormat	"{int, <{double,double,double}: 1>}"
#define CoordBroadcast		"CoordsBroadcast"

#define CoordInformFormat	"{int, <{double,double,double}: 1>}"
#define CoordInform		"CoordInform"

#define CoordQueryFormat	"{double,double,double}"
#define CoordQuery		"CoordQuery"

typedef int IntT, *IntPtr;
#define IntFormat	"int"

#define NumberQuery	"NumberQuery"

#endif /* _GPS_ */
